package com.hzya.frame.sys.userViewFiled.entity;

import java.util.Date;
import cn.dev33.satoken.stp.StpUtil;
import com.hzya.frame.uuid.UUIDUtils;
import com.hzya.frame.web.entity.BaseEntity;
import org.springframework.format.annotation.DateTimeFormat;
import com.fasterxml.jackson.annotation.JsonFormat;
import java.math.BigDecimal;
/**
 * @description: 个人显示字段表
 * @tableName:   sys_user_view_filed
 * @entityName:  UserViewFiled
 * @author: 	 llg
 * @history:	 1.0
 */
public class  UserViewFiled  extends BaseEntity {

	/** 主键ID */
	private String id;
	/** 服务名 */
	private String serverName;
	/** 服务按钮id */
	private String viewFiledId;
	/** 用户id */
	private String userId;
	/** 排序 */
	private Long sorts;
	/** 创建人id */
	private String createUserId;
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date createTime;
	/** 修改人id */
	private String modifyUserId;
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date modifyTime;
	/** 状态(Y正常N删除) */
	private String sts;
	/** 组织机构ID */
	private String orgId;
	private String sort;
	private String order;

	/** 服务名 */
	public void setServerName(String serverName) {
		this.serverName = serverName;
	}
	/** 服务名 */
	public String getServerName() {
		return serverName;
	}
	/** 服务按钮id */
	public void setViewFiledId(String viewFiledId) {
		this.viewFiledId = viewFiledId;
	}
	/** 服务按钮id */
	public String getViewFiledId() {
		return viewFiledId;
	}
	/** 用户id */
	public void setUserId(String userId) {
		this.userId = userId;
	}
	/** 用户id */
	public String getUserId() {
		return userId;
	}
	/** 排序 */
	public void setSorts(Long sorts) {
		this.sorts = sorts;
	}
	/** 排序 */
	public Long getSorts() {
		return sorts;
	}
	/** 创建人id */
	public void setCreateUserId(String createUserId) {
		this.createUserId = createUserId;
	}
	/** 创建人id */
	public String getCreateUserId() {
		return createUserId;
	}
	/** 创建时间 */
	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}
	/** 创建时间 */
	public Date getCreateTime() {
		return createTime;
	}
	/** 修改人id */
	public void setModifyUserId(String modifyUserId) {
		this.modifyUserId = modifyUserId;
	}
	/** 修改人id */
	public String getModifyUserId() {
		return modifyUserId;
	}
	/** 修改时间 */
	public void setModifyTime(Date modifyTime) {
		this.modifyTime = modifyTime;
	}
	/** 修改时间 */
	public Date getModifyTime() {
		return modifyTime;
	}

	/** 组织机构ID */
	public void setOrgId(String orgId) {
		this.orgId = orgId;
	}
	/** 组织机构ID */
	public String getOrgId() {
		return orgId;
	}



	@Override
	public String getId() {
		return id;
	}

	@Override
	public void setId(String id) {
		this.id = id;
	}

	@Override
	public String getSts() {
		return sts;
	}

	@Override
	public void setSts(String sts) {
		this.sts = sts;
	}

	@Override
	public String getSort() {
		return sort;
	}

	@Override
	public void setSort(String sort) {
		this.sort = sort;
	}

	@Override
	public String getOrder() {
		return order;
	}

	@Override
	public void setOrder(String order) {
		this.order = order;
	}
}
